local handler = require("event_handler")
handler.add_lib(require("freeplay"))
handler.add_lib(require("silo-script"))

local FactoCordIntegration = {}

function FactoCordIntegration.PrintToDiscord(msg)
	print("0000-00-00 00:00:00 [DISCORD] "..msg)
end

script.on_event(defines.events.on_player_joined_game, function(event)
	local p = game.players[event.player_index];
	FactoCordIntegration.PrintToDiscord("**" .. p.name .. "** joined.");
	if(p.admin == true) then
		p.print("Welcome admin " .. p.name .. " to server!");
	else
		p.print("Welcome " .. p.name .. " to server!");
	end
end)

script.on_event(defines.events.on_player_left_game, function(event)
	local p = game.players[event.player_index];
	FactoCordIntegration.PrintToDiscord("**" .. p.name .. "** left.");
end)

script.on_event({defines.events.on_console_chat},
	function (e)
		if not e.player_index then
			return
		end
		if game.players[e.player_index].tag == "" then
			if game.players[e.player_index].admin then
				FactoCordIntegration.PrintToDiscord('(Admin) <' .. game.players[e.player_index].name .. '> ' .. e.message)
			else
				FactoCordIntegration.PrintToDiscord('<' .. game.players[e.player_index].name .. '> ' .. e.message)
			end
		else
			if game.players[e.player_index].admin then
				FactoCordIntegration.PrintToDiscord('(Admin) <' .. game.players[e.player_index].name .. '> ' .. game.players[e.player_index].tag .. " " .. e.message)
			else
				FactoCordIntegration.PrintToDiscord('<' .. game.players[e.player_index].name .. '> ' .. game.players[e.player_index].tag .. " " .. e.message)
			end
		end
	end
)


script.on_event(defines.events.on_player_died, function(event)
	local p = game.players[event.player_index];
	FactoCordIntegration.PrintToDiscord("**" .. p.name .. "** died.");
end)
script.on_event(defines.events.on_player_kicked, function(event)
	local p = game.players[event.player_index];
	FactoCordIntegration.PrintToDiscord("**" .. p.name .. "** kicked.");
end)
script.on_event(defines.events.on_player_unbanned, function(event)
	FactoCordIntegration.PrintToDiscord("**" .. event.player_name .. "** unbanned.");
end)
script.on_event(defines.events.on_player_unmuted, function(event)
	local p = game.players[event.player_index];
	FactoCordIntegration.PrintToDiscord("**" .. p.name .. "** unmuted.");
end)
script.on_event(defines.events.on_player_banned, function(event)
	FactoCordIntegration.PrintToDiscord("**" .. event.player_name .. "** banned.");
end)
script.on_event(defines.events.on_player_muted, function(event)
	local p = game.players[event.player_index];
	FactoCordIntegration.PrintToDiscord("**" .. p.name .. "** muted.");
end)


return FactoCordIntegration;
